SSHHost [infrastructure.cluster.x-k8s.io/v1beta1]

Description
SSHHost is the Schema for the sshhosts API.
Type
object

Specification

PropertyTypeDescription
apiVersionstring

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources

kindstring

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds

metadataObjectMeta

ObjectMeta is metadata that all persisted resources must have, which includes all objects users must create.

specobject

SSHHostSpec defines the desired state of SSHHost.

statusobject

SSHHostStatus defines the observed state of SSHHost.

.spec

Description
SSHHostSpec defines the desired state of SSHHost.
Type
object
PropertyTypeDescription
authCredentialobject

LocalObjectReference contains enough information to let you locate the referenced object inside the same namespace.

ipstring
ipv6string
portinteger
publicIpstring
reUseboolean

.spec.authCredential

Description
LocalObjectReference contains enough information to let you locate the referenced object inside the same namespace.
Type
object
PropertyTypeDescription
namestring

Name of the referent. This field is effectively required, but due to backwards compatibility is allowed to be empty. Instances of this type with an empty value here are almost certainly wrong. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/names/#names

.status

Description
SSHHostStatus defines the observed state of SSHHost.
Type
object
PropertyTypeDescription
conditionsarray

Conditions provide observations of the operational state of a Cluster API resource.

failureMessagestring
nodeInfoobject

NodeSystemInfo is a set of ids/uuids to uniquely identify the node.

nodeRefobject

ObjectReference contains enough information to let you inspect or modify the referred object.

phasestring

.status.conditions

Description
Conditions provide observations of the operational state of a Cluster API resource.
Type
array

.status.conditions[]

Description
Condition defines an observation of a Cluster API resource operational state.
Type
object
Required
lastTransitionTimestatustype
PropertyTypeDescription
lastTransitionTimestring

lastTransitionTime is the last time the condition transitioned from one status to another. This should be when the underlying condition changed. If that is not known, then using the time when the API field changed is acceptable.

messagestring

message is a human readable message indicating details about the transition. This field may be empty.

reasonstring

reason is the reason for the condition's last transition in CamelCase. The specific API may choose whether or not this field is considered a guaranteed API. This field may be empty.

severitystring

severity provides an explicit classification of Reason code, so the users or machines can immediately understand the current situation and act accordingly. The Severity field MUST be set only when Status=False.

statusstring

status of the condition, one of True, False, Unknown.

typestring

type of condition in CamelCase or in foo.example.com/CamelCase. Many .condition.type values are consistent across resources like Available, but because arbitrary conditions can be useful (see .node.status.conditions), the ability to deconflict is important.

.status.nodeInfo

Description
NodeSystemInfo is a set of ids/uuids to uniquely identify the node.
Type
object
Required
architecturebootIDcontainerRuntimeVersionkernelVersionkubeProxyVersionkubeletVersionmachineIDoperatingSystemosImagesystemUUID
PropertyTypeDescription
architecturestring

The Architecture reported by the node

bootIDstring

Boot ID reported by the node.

containerRuntimeVersionstring

ContainerRuntime Version reported by the node through runtime remote API (e.g. containerd://1.4.2).

kernelVersionstring

Kernel Version reported by the node from 'uname -r' (e.g. 3.16.0-0.bpo.4-amd64).

kubeProxyVersionstring

Deprecated: KubeProxy Version reported by the node.

kubeletVersionstring

Kubelet Version reported by the node.

machineIDstring

MachineID reported by the node. For unique machine identification in the cluster this field is preferred. Learn more from man(5) machine-id: http://man7.org/linux/man-pages/man5/machine-id.5.html

operatingSystemstring

The Operating System reported by the node

osImagestring

OS Image reported by the node from /etc/os-release (e.g. Debian GNU/Linux 7 (wheezy)).

swapobject

Swap Info reported by the node.

systemUUIDstring

SystemUUID reported by the node. For unique machine identification MachineID is preferred. This field is specific to Red Hat hosts https://access.redhat.com/documentation/en-us/red_hat_subscription_management/1/html/rhsm/uuid

.status.nodeInfo.swap

Description
Swap Info reported by the node.
Type
object
PropertyTypeDescription
capacityinteger

Total amount of swap memory in bytes.

.status.nodeRef

Description
ObjectReference contains enough information to let you inspect or modify the referred object.
Type
object
PropertyTypeDescription
apiVersionstring

API version of the referent.

fieldPathstring

If referring to a piece of an object instead of an entire object, this string should contain a valid JSON/Go field access statement, such as desiredState.manifest.containers[2]. For example, if the object reference is to a container within a pod, this would take on a value like: "spec.containers{name}" (where "name" refers to the name of the container that triggered the event) or if no container name is specified "spec.containers[2]" (container with index 2 in this pod). This syntax is chosen only to have some well-defined way of referencing a part of an object.

kindstring

Kind of the referent. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds

namestring

Name of the referent. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/names/#names

namespacestring

Namespace of the referent. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/namespaces/

resourceVersionstring

Specific resourceVersion to which this reference is made, if any. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#concurrency-control-and-consistency

uidstring

UID of the referent. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/names/#uids

API Endpoints

The following API endpoints are available:

  • /apis/infrastructure.cluster.x-k8s.io/v1beta1/namespaces/{namespace}/sshhosts
    • DELETE: delete collection of SSHHost
    • GET: list objects of kind SSHHost
    • POST: create a new SSHHost
  • /apis/infrastructure.cluster.x-k8s.io/v1beta1/namespaces/{namespace}/sshhosts/{name}
    • DELETE: delete the specified SSHHost
    • GET: read the specified SSHHost
    • PATCH: partially update the specified SSHHost
    • PUT: replace the specified SSHHost
  • /apis/infrastructure.cluster.x-k8s.io/v1beta1/namespaces/{namespace}/sshhosts/{name}/status
    • GET: read status of the specified SSHHost
    • PATCH: partially update status of the specified SSHHost
    • PUT: replace status of the specified SSHHost

/apis/infrastructure.cluster.x-k8s.io/v1beta1/namespaces/{namespace}/sshhosts

HTTP method
DELETE
Description
delete collection of SSHHost
HTTP responses
HTTP codeResponse body
200 - OKStatus schema
401 - UnauthorizedEmpty
HTTP method
GET
Description
list objects of kind SSHHost
HTTP responses
HTTP codeResponse body
200 - OKSSHHostList schema
401 - UnauthorizedEmpty
HTTP method
POST
Description
create a new SSHHost
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
Body parameters
ParameterTypeDescription
bodySSHHost schemaapplication/json formatted
HTTP responses
HTTP codeResponse body
200 - OKSSHHost schema
201 - CreatedSSHHost schema
202 - AcceptedSSHHost schema
401 - UnauthorizedEmpty

/apis/infrastructure.cluster.x-k8s.io/v1beta1/namespaces/{namespace}/sshhosts/{name}

HTTP method
DELETE
Description
delete the specified SSHHost
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
HTTP responses
HTTP codeResponse body
200 - OKStatus schema
202 - AcceptedStatus schema
401 - UnauthorizedEmpty
HTTP method
GET
Description
read the specified SSHHost
HTTP responses
HTTP codeResponse body
200 - OKSSHHost schema
401 - UnauthorizedEmpty
HTTP method
PATCH
Description
partially update the specified SSHHost
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
HTTP responses
HTTP codeResponse body
200 - OKSSHHost schema
401 - UnauthorizedEmpty
HTTP method
PUT
Description
replace the specified SSHHost
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
Body parameters
ParameterTypeDescription
bodySSHHost schemaapplication/json formatted
HTTP responses
HTTP codeResponse body
200 - OKSSHHost schema
201 - CreatedSSHHost schema
401 - UnauthorizedEmpty

/apis/infrastructure.cluster.x-k8s.io/v1beta1/namespaces/{namespace}/sshhosts/{name}/status

HTTP method
GET
Description
read status of the specified SSHHost
HTTP responses
HTTP codeResponse body
200 - OKSSHHost schema
401 - UnauthorizedEmpty
HTTP method
PATCH
Description
partially update status of the specified SSHHost
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
HTTP responses
HTTP codeResponse body
200 - OKSSHHost schema
401 - UnauthorizedEmpty
HTTP method
PUT
Description
replace status of the specified SSHHost
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
Body parameters
ParameterTypeDescription
bodySSHHost schemaapplication/json formatted
HTTP responses
HTTP codeResponse body
200 - OKSSHHost schema
201 - CreatedSSHHost schema
401 - UnauthorizedEmpty